Skip to main content
POST
Cancel payment link

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Headers

X-Idempotency-Key
string

A unique key to ensure idempotency of requests. If a request with the same key has already been processed, the same result will be returned. The key must be unique for each distinct operation. Keys are expired after 24 hours, but we recommend using a new key for each request.

Modified requests with the same idempotency keys are rejected with a 409 Conflict status code.

Maximum string length: 256

Path Parameters

The unique identifier for the payment link.

Response

Payment link details.

A hosted payment link created from a payment intent that can be shared with customers.

Unique identifier for the payment link.

Example:

"j47ac10b-58cc-4372-a567-0e02b2c3d479"

hostedUrl
string<uri>
required

The URL where customers can complete their payment.

Example:

"https://checkout.yourapp.com/pay/j47ac10b-58cc-4372-a567-0e02b2c3d479"

status
enum<string>
required

Current status of a payment link.

Available options:
ACTIVE,
EXPIRED,
COMPLETED,
CANCELED,
FAILED
createdAt
string<date-time>
required

When the payment link was created.

Example:

"2024-01-15T10:00:00Z"

updatedAt
string<date-time>
required

When the payment link was last updated.

Example:

"2024-01-15T10:00:00Z"

orderId
string

The order this payment link collects payment for.

Example:

"44567801-a504-4f09-8089-31ea78bc239b"

customerId
string

The customer this payment link collects payment from.

Example:

"a1b2c3d4-e5f6-4a5b-8c9d-0e1f2a3b4c5d"

paymentProvider
enum<string>

Payment service provider that processes the transaction.

Available options:
STRIPE,
BILLOGRAM
Example:

"STRIPE"

paymentProfileId
string

The saved payment method pre-selected for the customer, if any.

Example:

"6ba7b810-9dad-11d1-80b4-00c04fd430c8"

description
string

Optional description displayed on the payment page.

Example:

"Pay your monthly subscription"

paymentIntentId
string

The payment intent that collected the payment, available once the link has been paid.

Example:

"64870b5c-fb61-4c9a-955a-e148e0826c20"

completedAt
string<date-time>

When the payment was completed, if the link has been paid.

Example:

"2024-01-15T14:30:00Z"

metadata
object

A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.